﻿using System;

namespace LibraryManagement
{
    public class Loan
    {
        // Eigenschaften
        public Book Book { get; private set; }
        public Member Member { get; private set; }
        public DateTime LoanDate { get; private set; }
        public DateTime DueDate { get; private set; }

        // Ausleihfrist in Tagen
        private const int LoanPeriodDays = LibraryKonstanten.LoanPeriodDays; 

        // Konstruktor
        public Loan(Book book, Member member)
        {
            Book = book;
            Member = member;
            LoanDate = DateTime.Today;
            DueDate = LoanDate.AddDays(LoanPeriodDays);
        }

        // Methode zur Überprüfung, ob die Ausleihe überfällig ist
        public bool IsOverdue()
        {
            return DateTime.Today > DueDate;
        }
    }
}

