﻿using System;
using System.Collections.Generic;

namespace LibraryManagement
{
    public class Member
    {
        // Eigenschaften
        public string Name { get; private set; }
        public string MemberID { get; private set; }
        public List<Book> BorrowedBooks { get; private set; }

        // Konstruktor
        public Member(string name, string memberId)
        {
            Name = name;
            MemberID = memberId;
            BorrowedBooks = new List<Book>();
        }

        // Methode zum Ausleihen eines Buches
        public void BorrowBook(Book book)
        {
            if (book.IsAvailable)
            {
                book.Checkout();
                BorrowedBooks.Add(book);
                Console.WriteLine($"{Name} hat '{book.Title}' ausgeliehen.");
            }
            else
            {
                Console.WriteLine($"'{book.Title}' ist nicht verfügbar.");
            }
        }

        // Methode zur Rückgabe eines Buches
        public void ReturnBook(Book book)
        {
            if (BorrowedBooks.Contains(book))
            {
                book.ReturnBook();
                BorrowedBooks.Remove(book);
                Console.WriteLine($"{Name} hat '{book.Title}' zurückgegeben.");
            }
            else
            {
                Console.WriteLine($"{Name} hat '{book.Title}' nicht ausgeliehen.");
            }
        }
    }
}
