﻿using System;
using System.Collections.Generic;

namespace LibraryManagement
{
    public static class LibraryKonstanten
    {
        /// <summary>
        /// Ausleihefrist in Tagen
        /// </summary>
        public const int LoanPeriodDays = 14;
    }
    class Program
    {
        static void Main(string[] args)
        {
            // Bibliothek erstellen
            Library library = new Library();

            // Bücher hinzufügen
            Book book1 = new Book("1984", "George Orwell", "1234567890");
            Book book2 = new Book("To Kill a Mockingbird", "Harper Lee", "0987654321");
            library.AddBookToCatalog(book1);
            library.AddBookToCatalog(book2);

            Console.WriteLine(); // Leerzeile für bessere Lesbarkeit
            Console.ReadKey();

            // Mitglieder registrieren
            Member member1 = new Member("Alice", "M001");
            Member member2 = new Member("Bob", "M002");
            library.RegisterMember(member1);
            library.RegisterMember(member2);

            Console.WriteLine(); // Leerzeile für bessere Lesbarkeit
            Console.ReadKey();

            // Buch ausleihen
            library.LoanBook("1234567890", "M001");

            Console.WriteLine(); // Leerzeile für bessere Lesbarkeit
            Console.ReadKey();

            // Versuch, das gleiche Buch erneut auszuleihen
            library.LoanBook("1234567890", "M002");

            Console.WriteLine(); // Leerzeile für bessere Lesbarkeit
            Console.ReadKey();

            // Buch zurückgeben
            library.ReturnBook("1234567890", "M001");

            Console.WriteLine(); // Leerzeile für bessere Lesbarkeit
            Console.ReadKey();

            // Jetzt kann das Buch von Bob ausgeliehen werden
            library.LoanBook("1234567890", "M002");

            Console.WriteLine(); // Leerzeile für bessere Lesbarkeit
            Console.ReadKey();

            // Bücher suchen
            Console.WriteLine("Suche nach Büchern mit '1984':");
            List<Book> searchResults = library.SearchBooks(title: "1984");
            foreach (var book in searchResults)
            {
                Console.WriteLine($"- {book.Title} von {book.Author}");
            }

            Console.WriteLine(); // Leerzeile für bessere Lesbarkeit
            Console.ReadKey();

            // Optionale: Alle Mitglieder auflisten
            library.ListAllMembers();

            Console.WriteLine(); // Leerzeile für bessere Lesbarkeit
            Console.ReadKey();

            // Optionale: Alle Ausleihen auflisten
            library.ListAllLoans();

            // Warten, bis der Benutzer eine Taste drückt
            Console.WriteLine("\nDrücken Sie eine beliebige Taste, um das Programm zu beenden...");
            Console.ReadKey();
        }
    }
}

